<template>
	<div class="clock-wrapper">
	    <div class="col-lg-3 col-xs-6">
	      <div class="small-box bg-aqua">
	        <div class="inner">
	          <h3>الوقت</h3>

	          <p>{{ dateTimeString }}</p>
	        </div>
	        <div class="icon">
	          <i class="ion-android-time"></i>
	        </div>
	      </div>
	    </div>	
	</div>
</template>

<style>
	.clock-wrapper .small-box>.inner {
		padding: 20px
	}
	.clock-wrapper .small-box h3 {
		font-size: 24px;
	}
</style>

<script>
	import moment from 'moment';

	export default {
		data () {
			return {
				dateTimeString: '',
			}
		},

	    created () {
	      this.dateTimeString = moment().format('ddd hh:mm:ss A');

	      setInterval(() => {
	        this.dateTimeString = moment().format('ddd hh:mm:ss A');
	      }, 1000)
		}
	}
</script>